Can't navigate in subversion if the address of the repository is not the root
Status: Closed Start date: 2010-02-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.9.2

Description

Hello,

If I set as address for a subversion repository a subdirectory of the root repository (e.g. svn://svn.host/repos1/subdir), when I want to

navigate into the repository with Redmine browser (for example in the subsubdir of subdir), I get the following error:

The entry or revision was not found in the repository.

 And the url in the navigator bar is looking like:

https://host/redmine/projects/project1/repository/show/repos1/subdir/subsubdir

 Instead of:

https://host/redmine/projects/project1/repository/show/subsubdir

(which work!)    

I am not sure of the exact version (I do not administrate the install) but it should be 0.9.1, 0.9.2 or 0.9.3…

Thank you.

History

#1 - 2010-02-19 19:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Can not reproduce with latest 0.9-stable. Works fine with an url that points to a svn subdirectory.

#2 - 2010-02-20 15:23 - Victor NOEL

You are right, I forgot we were using subversion_libsvn_adapter !

#3 - 2010-03-01 12:14 - Victor NOEL

For the record, we are using Redmine 0.9.2 and disabling the plugin subversion_libsvn_adapter fixes the problem.

The bug has been reported to its author: http://github.com/pplr/redmine-libsvn/issues/#issue/2
